@@ -0,0 +1,62 @@
+#!/bin/bash
+
+# Copyright 2005 Peter Poeml <apache@suse.de>. All Rights Reserved.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+
+sysconf=/etc/sysconfig/apache2
+var=APACHE_MODULES
+PATH="$PATH:/usr/bin:/usr/sbin:/usr/share/apache2"
+
+debug=true
+
+function usage() {
+ echo "$(basename $0): enable/disable an apache module in $var in $sysconf"
+ echo
+ echo "usage: $(basename $0) [-d] module"
+ echo " $(basename $0) -l list modules"
+ echo " $(basename $0) -q module query if module is installed"
+ #echo " $(basename $0) -h runtests"
+ exit 1
+}
+
+if [ $# -lt 1 ]; then
+ usage
+fi
+
+action=enable
+case "$1" in
+-d) action=disable; shift;;
+-l) action=list; shift;;
+-q) action=query; shift;;
+-*) usage;;
+esac
+
+case $(basename $0) in
+a2dismod) action=disable;;
+esac
+
+mod=$1
+
+
+if [ $action = enable ]; then
+ sysconf_addword $sysconf $var $mod
+ exit $?
+elif [ $action = disable ]; then
+ sysconf_addword -r $sysconf $var $mod
+ exit $?
+elif [ $action = query ]; then
+ if a2enmod -l | grep -q "\<$mod\>"; then
+ exit 0
+ else
+ exit 1
+ fi
+else
+ source $sysconf
+ eval echo \$$var
+fi
+
|